@import "@/styles/variables";

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 1rem;

    .slider {
        position: relative;
        width: 268px;

        &__track,
        &__range,
        &__left-value,
        &__right-value {
            position: absolute;
        }

        &__track,
        &__range {
            border-radius: 3px;
            height: 5px;
        }

        &__track {
            background-color: $gray-600;
            width: 100%;
            z-index: 1;
        }

        &__range {
            background-color: $blue-500;
            z-index: 2;
        }

        &__left-value,
        &__right-value {
            color: $gray-700;
            font-size: 12px;
            font-weight: 400;
            line-height: 18px;
            margin-top: 20px;
            margin-right: -15px;
            margin-left: -15px;
        }

        &__left-value {
            left: 6px;
        }

        &__right-value {
            right: -4px;
        }
    }

    .thumb,
    .thumb::-webkit-slider-thumb {
        appearance: none;
        -webkit-tap-highlight-color: transparent;
    }

    .thumb {
        pointer-events: none;
        position: absolute;
        height: 0;
        width: 268px;
        outline: none;
    }

    .thumb::-webkit-slider-thumb {
        background-color: $gray-200;
        border: 2px solid $blue-500;
        border-radius: 50%;
        box-shadow: 0 0 1px 1px $gray-300;
        cursor: pointer;
        height: 16px;
        width: 16px;
        margin-top: 4px;
        pointer-events: all;
        position: relative;
    }

    .thumb::-moz-range-thumb {
        background-color: $gray-color-100;
        border: none;
        border-radius: 50%;
        box-shadow: 0 0 1px 1px $gray-color-300;
        cursor: pointer;
        height: 18px;
        width: 18px;
        margin-top: 4px;
        pointer-events: all;
        position: relative;
    }

    #from-slider {
        z-index: 3;
    }

    #to-lider {
        z-index: 4;
    }
}
